aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--src/main/bin/start.sh26
-rw-r--r--src/main/docker/Dockerfile27
2 files changed, 52 insertions, 1 deletions
diff --git a/src/main/bin/start.sh b/src/main/bin/start.sh
index 120f960..b9c49c2 100644
--- a/src/main/bin/start.sh
+++ b/src/main/bin/start.sh
@@ -14,6 +14,30 @@ if [ -z "$KEY_STORE_PASSWORD" ]; then
exit 1
fi
+# Changes related to:AAI-2176
+# Change aai datarouter container processes to run as non-root on the host
+USER_ID=${LOCAL_USER_ID:-9001}
+GROUP_ID=${LOCAL_GROUP_ID:-9001}
+DR_LOGS=/var/log/onap/AAI-DR
+
+if [ $(cat /etc/passwd | grep aaiadmin | wc -l) -eq 0 ]; then
+
+ groupadd aaiadmin -g ${GROUP_ID} || {
+ echo "Unable to create the group id for ${GROUP_ID}";
+ exit 1;
+ }
+ useradd --shell=/bin/bash -u ${USER_ID} -g ${GROUP_ID} -o -c "" -m aaiadmin || {
+ echo "Unable to create the user id for ${USER_ID}";
+ exit 1;
+ }
+fi;
+chown -R aaiadmin:aaiadmin ${MICRO_HOME}
+chown -R aaiadmin:aaiadmin ${DR_LOGS}
+find ${MICRO_HOME} -name "*.sh" -exec chmod +x {} +
+
+gosu aaiadmin ln -s /logs $MICRO_HOME/logs
+JAVA_CMD="exec gosu aaiadmin java";
+###
PROPS="-DAJSC_HOME=${MICRO_HOME}"
PROPS="$PROPS -Dlogging.config=${MICRO_HOME}/bundleconfig/etc/logback.xml"
PROPS="$PROPS -DCONFIG_HOME=$CONFIG_HOME"
@@ -33,4 +57,4 @@ JVM_MAX_HEAP=${MAX_HEAP:-1024}
cd ${MICRO_HOME}
jar uf0 ${MICRO_HOME}/data-router.jar BOOT-INF/lib/* > /dev/null 2>&1
-exec java -Xmx${JVM_MAX_HEAP}m $PROPS -jar ${MICRO_HOME}/data-router.jar \ No newline at end of file
+${JAVA_CMD} -Xmx${JVM_MAX_HEAP}m $PROPS -jar ${MICRO_HOME}/data-router.jar
diff --git a/src/main/docker/Dockerfile b/src/main/docker/Dockerfile
index 7342a64..0ff79a2 100644
--- a/src/main/docker/Dockerfile
+++ b/src/main/docker/Dockerfile
@@ -3,6 +3,33 @@ FROM @aai.docker.namespace@/aai-common-@aai.base.image@:@aai.base.image.version@
ARG MICRO_HOME=/opt/app/data-router
ARG BIN_HOME=$MICRO_HOME/bin
+# AAI-2176 Additional optional steps for Ubuntu
+RUN if ((uname -v | grep -i "ubuntu") || ( cat /etc/*release|grep -i "ubuntu") ) ; then \
+ #####################################
+ #if JAVA doesnt exist then install it:
+ ######################################
+ if type java 2>/dev/null; then \
+ echo "skipping java installation"; \
+ else \
+ apt-get update && apt-get install -y software-properties-common; \
+ ## sudo -E is required to preserve the environment. If you remove that line, it will most like freeze at this step
+ sudo -E add-apt-repository ppa:openjdk-r/ppa && apt-get update && apt-get install -y openjdk-8-jdk ; \
+ ## Setup JAVA_HOME, this is useful for docker commandline
+ JAVA_HOME=usr/lib/jvm/java-8-openjdk-amd64; \
+ export JAVA_HOME ; \
+ fi; \
+ ##########################################
+ #Install gosu if not present
+ ##########################################
+ if type gosu 2>/dev/null; then \
+ echo "skipping gosu installation"; \
+ else \
+ set -x ; \
+ add-apt-repository -y ppa:tianon/gosu; \
+ sudo apt-get update; \
+ sudo apt-get install gosu; \
+ fi;\
+fi
RUN mkdir -p $MICRO_HOME
WORKDIR $MICRO_HOME
COPY /maven/data-router/ .